#!/usr/bin/lua

-- Sends stuff to stdout; use:
--  ./replay.lua replay.log | nc -l -p 12345
-- to send it via TCP instead

local socket = require("socket")

if not arg[1] then
    print("Usage: " .. arg[0] .. " <filename>")
    return
end

file, err = io.open(arg[1])

if not file then
    print(err)
    return
end

io.stdout:setvbuf("full")
buf = ""

for line in file:lines() do
    buf = buf .. line .. "\n"
    
    if line == ">" or line == ">\r" then
        io.stdout:write(buf)
        io.stdout:flush()
        buf = ""

        socket.sleep(1 / 60)
    end
end

